com.io7m.jpra.model.types

## Interface TypeMatcherType<A,E extends Exception>

- Type Parameters:
    `A` - The type of returned values
    `E` - The type of raised exceptions
  All Known Implementing Classes:
    PackedFieldImplementationProcessor, PackedFieldInterfaceProcessor

      public interface TypeMatcherType<A,E extends Exception>

  A type matcher.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `matchArray(TArray t)` Match an `array` type.
    `A` | `matchBooleanSet(TBooleanSet t)` Match a `boolean-set` type.
    `A` | `matchFloat(TFloat t)` Match a `float` type.
    `A` | `matchInteger(TIntegerType t)` Match an `integer` type.
    `A` | `matchMatrix(TMatrix t)` Match a `matrix` type.
    `A` | `matchPacked(TPacked t)` Match a `packed` type.
    `A` | `matchRecord(TRecord t)` Match a `record` type.
    `A` | `matchString(TString t)` Match a `string` type.
    `A` | `matchVector(TVector t)` Match a `vector` type.

- - ### Method Detail

    - #### matchArray

          A matchArray(TArray t)
                throws E extends Exception

      Match an `array` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchString

          A matchString(TString t)
                 throws E extends Exception

      Match a `string` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchBooleanSet

          A matchBooleanSet(TBooleanSet t)
                     throws E extends Exception

      Match a `boolean-set` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchInteger

          A matchInteger(TIntegerType t)
                  throws E extends Exception

      Match an `integer` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchFloat

          A matchFloat(TFloat t)
                throws E extends Exception

      Match a `float` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchVector

          A matchVector(TVector t)
                 throws E extends Exception

      Match a `vector` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchMatrix

          A matchMatrix(TMatrix t)
                 throws E extends Exception

      Match a `matrix` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchRecord

          A matchRecord(TRecord t)
                 throws E extends Exception

      Match a `record` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### matchPacked

          A matchPacked(TPacked t)
                 throws E extends Exception

      Match a `packed` type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com